Subject: Re: bug#32258: 27.0.50; Crash on minimizing/maximizing Emacs frame from taskbar [RHEL 6.8 GTK2]

From: Eli Zaretskii <[email-masked]>
Date: Tue, 24 Jul 2018 21:17:49 +0300

> From: Kaushal Modi <[email-masked]>
> Date: Tue, 24 Jul 2018 11:55:54 -0400
> Cc: [email-masked]
> 
> But now that I have emacs running through gdb, I am failing to get that crash.. and without that, I got that crash
> 4 times since yesterday (and 2-3 times in the past week).
> 
> I use emacsclient by default. But in gdb I run ./emacs. Based on the assertion failure in:
> 
> ,-------- #21236 -- /home/kmodi/downloads/git/emacs/src/xdisp.c ---
> | eassert (it->glyph_row == NULL || it->glyph_row->used[TEXT_AREA] == 0);
> `-------- #21236 -- 2018/07/24 -- kmodi
> 
> would that make any difference?
> 
> If yes, how do I run emacsclient from gdb?

What exactly do you mean by "use emacsclient by default"?  Does
emacsclient start Emacs, or do you start Emacs as a daemon (or maybe
normally)?